## MrpError

MrpError

## Synopsis

    #include <libplanner/planner.h>

    #define             MRP_ERROR
    enum                MrpError;

## Description

## Details

### MRP_ERROR

    #define MRP_ERROR mrp_error_quark ()

Error domain for libmrproject.

### enum MrpError

    typedef enum {
            MRP_ERROR_TASK_RELATION_FAILED,
            MRP_ERROR_TASK_MOVE_FAILED,

    	MRP_ERROR_LOAD_FILE_DONT_EXIST,
    	MRP_ERROR_LOAD_FILE_INVALID,
    	MRP_ERROR_SAVE_FILE_EXIST,
    	MRP_ERROR_SAVE_FILE_CHANGED,
    	MRP_ERROR_EXPORT_UNSUPPORTED,
    	MRP_ERROR_EXPORT_FAILED,
    	MRP_ERROR_NO_FILE_MODULE,
    	MRP_ERROR_SAVE_WRITE_FAILED,

    	MRP_ERROR_INVALID_URI,

    	/* General error (should avoid using this). */
            MRP_ERROR_FAILED
    } MrpError;

Error codes returned by libmrproject functions.